Red Hat Issues Fix KRACK WPA2 WiFi

Multiple vulnerabilities were reported in wpa_supplicant. A remote user on the wireless network can access and modify data on the wireless network.

A remote user within range of the wireless network can record and replay retransmissions of part of the 802.11i 4-way handshake of the WPA and WPA2 protocols to force a reinstallation of the pairwise transient key, a group key, or an integrity key and force a reset of the incremental transmit packet number nonce and the receive replay counter. As a result, the remote user can replay encrypted packets, decrypt packets, and forge packets – Details here

Both client systems and access points are affected.

A remote user on the wireless network can reinstall the pairwise encryption key (PTK-TK) [CVE-2017-13077].

A remote user on the wireless network can reinstall the group key (GTK) [CVE-2017-13078, CVE-2017-13080].

A remote user on the wireless network can reinstall the integrity group key (IGTK) [CVE-2017-13079, CVE-2017-13081].

A remote user on the wireless network can retransmit the Fast BSS Transition (FT) Reassociation Request and reinstall the pairwise encryption key (PTK-TK) [CVE-2017-13082].

A remote user on the wireless network can reinstall the Tunneled Direct-Link Setup (TDLS) PeerKey (TPK) key in the TDLS handshake [CVE-2017-13086].

A remote user on the wireless network can reinstall the group key (GTK) when processing a Wireless Network Management (WNM) Sleep Mode Response frame [CVE-2017-13087].

A remote user on the wireless network can reinstall the integrity group key (IGTK) when processing a Wireless Network Management (WNM) Sleep Mode Response frame [CVE-2017-13088].




This set of vulnerabilities is referred to as KRACK (Key Reinstallation AttaCK).

The original advisory is available at:

https://papers.mathyvanhoef.com/ccs2017.pdf

Additional information is available at:

https://www.krackattacks.com/

Mathy Vanhoef and Frank Piessens from Katholieke Universiteit Leuven reported these vulnerabilities. John Van Boxtel from Cypress reported one vulnerability.

[Editor’s note: The vulnerabilities reside in the WPA and WPA2 protocol specification and are not due to incorrect vendor implementation of the standards.]

Impact:   A remote user on the wireless network can access and modify data on the wireless network.

Solution:   Red Hat has issued a fix for CVE-2017-13077, CVE-2017-13078, CVE-2017-13080, and CVE-2017-13087.

The Red Hat advisory is available at:

https://access.redhat.com/errata/RHSA-2017:2911

Vendor URL:  access.redhat.com/errata/RHSA-2017:2911 (Links to External Site)

Cause:   Access control error, State error

Underlying OS:  Linux (Red Hat Enterprise)





Duncan Newell

Duncan is a technology professional with over 20 years experience of working in various IT roles. He has a interest in cyber security, and has a wide range of other skills in radio, electronics and telecommunications.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.

%d bloggers like this: